INCLUDES = -I$(srcdir) -I$(top_srcdir) $(all_includes)

kde_module_LTLIBRARIES = libjavascript.la

libjavascript_la_SOURCES = javascript.cpp
libjavascript_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -lDCOP -ltdecore -ltdeui $(LIB_TQT) -lkjs -ltdefx -no-undefined -avoid-version
libjavascript_la_LIBADD = -ltdescript ../libkjsembed.la


METASOURCES = AUTO

servicetypedir = $(kde_servicesdir)
servicetype_DATA = javascript.desktop

katescriptsdir = $(kde_datadir)/kate/scripts
katescripts_DATA = swaptabs.desktop swaptabs.ui
katescripts_SCRIPTS = swaptabs.js
